IRQTOP(1)

NAME
irqtop - utility to display kernel interrupt information

SYNOPSIS
irqtop [options]

DESCRIPTION
Display kernel interrupt counter information in top(1) style view.

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using --output.

OPTIONS

-o, --output list
    Specify which output columns to print. Use --help to get a list of all supported columns. The default list of columns may be extended if list is specified in the format +list.

-d, --delay seconds
    Update interrupt output every seconds intervals.

-s, --sort column
    Specify sort criteria by column name. See --help output to get column names. The sort criteria may be changes in interactive mode.

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

INTERACTIVE MODE KEY COMMANDS
i   sort by short irq name or number field
t   sort by total count of interrupts (the default)
d   sort by delta count of interrupts
n   sort by long descriptive name field
q Q stop updates and exit program

AUTHORS
Zhenwei Pi (pizhenwei@bytedance.com)
Sami Kerola (kerolasa@iki.fi)
Karel Zak (kzak@redhat.com)

AVAILABILITY
The irqtop command is part of the util-linux package and is available from Linux Kernel Archive (https://www.kernel.org/pub/linux/utils/util-linux/).